/[gentoo-x86]/sys-auth/polkit/ChangeLog
Gentoo

Diff of /sys-auth/polkit/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.89 Revision 1.186
1# ChangeLog for sys-auth/polkit 1# ChangeLog for sys-auth/polkit
2# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/sys-auth/polkit/ChangeLog,v 1.89 2012/06/27 10:06:14 ssuominen Exp $ 3# $Header: /var/cvsroot/gentoo-x86/sys-auth/polkit/ChangeLog,v 1.186 2014/11/03 09:37:34 ago Exp $
4
5 03 Nov 2014; Agostino Sarubbo <ago@gentoo.org> polkit-0.112-r2.ebuild:
6 Stable for x86, wrt bug #525252
7
8 02 Nov 2014; Sven Vermeulen <swift@gentoo.org> polkit-0.112-r2.ebuild:
9 Remove sec-policy/selinux-* dependency from DEPEND but keep in RDEPEND (bug
10 #527698)
11
12 02 Nov 2014; Agostino Sarubbo <ago@gentoo.org> polkit-0.112-r2.ebuild:
13 Stable for alpha, wrt bug #525252
14
15 01 Nov 2014; Agostino Sarubbo <ago@gentoo.org> polkit-0.112-r2.ebuild:
16 Stable for ppc, wrt bug #525252
17
18 31 Oct 2014; Agostino Sarubbo <ago@gentoo.org> polkit-0.112-r2.ebuild:
19 Stable for ppc64, wrt bug #525252
20
21 30 Oct 2014; Agostino Sarubbo <ago@gentoo.org> polkit-0.112-r2.ebuild:
22 Stable for amd64, wrt bug #525252
23
24 23 Oct 2014; Markus Meier <maekke@gentoo.org> polkit-0.112-r2.ebuild:
25 arm stable, bug #525252
26
27 16 Oct 2014; Jeroen Roovers <jer@gentoo.org> polkit-0.112-r2.ebuild:
28 Stable for HPPA (bug #525252).
29
30 14 Aug 2014; Samuli Suominen <ssuominen@gentoo.org> polkit-0.112-r1.ebuild,
31 polkit-0.112-r2.ebuild:
32 Fix the arch logic for HPPA (to match how IA64 and MIPS are handled in the
33 ebuild)
34
35 14 Aug 2014; Jeroen Roovers <jer@gentoo.org> polkit-0.112-r1.ebuild:
36 Stable for HPPA (bug #519870).
37
38 13 Aug 2014; Jeroen Roovers <jer@gentoo.org> polkit-0.112-r2.ebuild:
39 Marked ~hppa (bug #517804).
40
41 17 May 2014; Agostino Sarubbo <ago@gentoo.org> polkit-0.112-r1.ebuild:
42 Stable for alpha, wrt bug #508862
43
44 14 May 2014; Agostino Sarubbo <ago@gentoo.org> polkit-0.112-r1.ebuild:
45 Stable for sparc, wrt bug #508862
46
47 13 May 2014; Agostino Sarubbo <ago@gentoo.org> polkit-0.112-r1.ebuild:
48 Stable for ia64, wrt bug #508862
49
50 11 May 2014; Agostino Sarubbo <ago@gentoo.org> polkit-0.112-r1.ebuild:
51 Stable for ppc64, wrt bug #508862
52
53 10 May 2014; Agostino Sarubbo <ago@gentoo.org> polkit-0.112-r1.ebuild:
54 Stable for ppc, wrt bug #508862
55
56 06 Apr 2014; Pacho Ramos <pacho@gentoo.org> polkit-0.112-r2.ebuild:
57 Needs to be rebuilt with systemd subslot bumps
58
59 15 Mar 2014; Samuli Suominen <ssuominen@gentoo.org> metadata.xml:
60 Add proper metadata for freedesktop-bugs@g.o
61
62*polkit-0.112-r2 (15 Mar 2014)
63
64 15 Mar 2014; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.112-r2.ebuild:
65 USE="jit" to determine which pax-mark, if any, should be applied wrt #485910
66
67 11 Mar 2014; Pacho Ramos <pacho@gentoo.org> metadata.xml:
68 Cleanup due #239126
69
70 25 Feb 2014; Markus Meier <maekke@gentoo.org> polkit-0.112-r1.ebuild:
71 arm stable, bug #500758
72
73 23 Feb 2014; Pacho Ramos <pacho@gentoo.org> polkit-0.112-r1.ebuild:
74 x86 stable, bug #500758
75
76 23 Feb 2014; Pacho Ramos <pacho@gentoo.org> polkit-0.112-r1.ebuild:
77 amd64 stable, bug #500758
78
79 28 Dec 2013; Anthony G. Basile <blueness@gentoo.org> polkit-0.112-r1.ebuild:
80 Fix ia64 where the order of the configure options was overridden by mips,
81 thanks Arfrever
82
83 27 Dec 2013; Anthony G. Basile <blueness@gentoo.org> polkit-0.112-r1.ebuild:
84 Because sometimes portage is stupid
85
86 24 Dec 2013; Anthony G. Basile <blueness@gentoo.org> polkit-0.112-r1.ebuild:
87 Fix dependence on spidermonkey for mips, bug #495168
88
89 23 Sep 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.112.ebuild:
90 Stable for sparc, wrt bug #484486
91
92 22 Sep 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.112.ebuild:
93 Stable for alpha, wrt bug #484486
94
95 22 Sep 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.112.ebuild:
96 Stable for ia64, wrt bug #484486
97
98 22 Sep 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.112.ebuild:
99 Stable for ppc64, wrt bug #484486
100
101 22 Sep 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.112.ebuild:
102 Stable for ppc, wrt bug #484486
103
104 22 Sep 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.112.ebuild:
105 Stable for arm, wrt bug #484486
106
107 21 Sep 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.112.ebuild:
108 Stable for x86, wrt bug #484486
109
110 21 Sep 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.112.ebuild:
111 Stable for amd64, wrt bug #484486
112
113 19 Sep 2013; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.110-r1.ebuild,
114 -files/polkit-0.110-CVE-2013-4288.patch:
115 old
116
117*polkit-0.112-r1 (19 Sep 2013)
118
119 19 Sep 2013; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.112-r1.ebuild,
120 polkit-0.112.ebuild:
121 -r0 is for stabilization w/ mozjs185 and -r1 is for ~arch with mozjs 17.0
122
123 19 Sep 2013; Doug Goldstein <cardoe@gentoo.org> -polkit-0.111-r1.ebuild:
124 Remove vulnerable version
125
126*polkit-0.110-r1 (19 Sep 2013)
127
128 19 Sep 2013; Doug Goldstein <cardoe@gentoo.org>
129 +files/polkit-0.110-CVE-2013-4288.patch, +polkit-0.110-r1.ebuild:
130 Bump for CVE-2013-4288
131
132*polkit-0.112 (19 Sep 2013)
133
134 19 Sep 2013; Doug Goldstein <cardoe@gentoo.org> +polkit-0.112.ebuild:
135 Bump for CVE-2013-4288
136
137 10 Sep 2013; Samuli Suominen <ssuominen@gentoo.org> polkit-0.110.ebuild,
138 polkit-0.111-r1.ebuild:
139 Stop forcing USE="consolekit systemd" for sys-auth/pambase in PDEPEND because
140 CONFIG_AUDITSYSCALL=y is not possible on every arch and the dependency was
141 always more about convinience than being strict requirement.
142
143 09 Aug 2013; Ian Stakenvicius <axs@gentoo.org> -polkit-0.111.ebuild:
144 dropped polkit-111 in favour of -r1 now that spidermonkey-17 is unmasked, as
145 per ssuominen's approval
146
147 09 Aug 2013; Ian Stakenvicius <axs@gentoo.org> polkit-0.110.ebuild,
148 polkit-0.111-r1.ebuild:
149 Adjusted deps for dev-lang/spidermonkey to ensure SLOT=0
150
151*polkit-0.111-r1 (08 Aug 2013)
152
153 08 Aug 2013; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.111-r1.ebuild:
154 Force use of dev-lang/spidermonkey:17 because automagic dependencies are bad.
155
156*polkit-0.111 (15 May 2013)
157
158 15 May 2013; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.111.ebuild:
159 Version bump by "okias" from Freenode
160
161 19 Mar 2013; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.107-r1.ebuild,
162 -files/polkit-0.107-fallback.patch:
163 old
164
165 19 Mar 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.110.ebuild:
166 Stable for sh, wrt bug #452688
167
168 12 Mar 2013; Samuli Suominen <ssuominen@gentoo.org>
169 files/polkit-0.110-W_define.patch:
170 Include link to upstream bug.
171
172 12 Mar 2013; Samuli Suominen <ssuominen@gentoo.org> polkit-0.110.ebuild,
173 +files/polkit-0.110-W_define.patch:
174 Fix missing #include <sys/wait.h> for #define's of WIFEXITED, WEXITSTATUS,
175 WIFSIGNALED and WTERMSIG (to fix building on arch "sh")
176
177 09 Mar 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.110.ebuild:
178 Stable for sparc, wrt bug #452688
179
180 03 Mar 2013; Mike Frysinger <vapier@gentoo.org> polkit-0.110.ebuild:
181 Add s390 keywords #457078 by Michael Palimaka.
182
183 23 Feb 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.110.ebuild:
184 Stable for alpha, wrt bug #452688
185
186 10 Feb 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.110.ebuild:
187 Stable for ppc64, wrt bug #452688
188
189 09 Feb 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.110.ebuild:
190 Stable for ia64, wrt bug #452688
191
192 31 Jan 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.110.ebuild:
193 Stable for ppc, wrt bug #452688
194
195 29 Jan 2013; Samuli Suominen <ssuominen@gentoo.org> polkit-0.110.ebuild:
196 Force USE="debug" to be disabled in dev-lang/spidermonkey to avoid asseration
197 errors as noted by _AxS_.
198
199 26 Jan 2013; Markus Meier <maekke@gentoo.org> polkit-0.110.ebuild:
200 arm stable, bug #452688
201
202 20 Jan 2013; Samuli Suominen <ssuominen@gentoo.org> polkit-0.110.ebuild:
203 x86 stable wrt #452688
204
205 19 Jan 2013; Samuli Suominen <ssuominen@gentoo.org> polkit-0.110.ebuild:
206 amd64 stable wrt #452688
207
208 11 Jan 2013; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.104-r1.ebuild,
209 -polkit-0.109-r1.ebuild, -files/polkit-0.109-XAUTHORITY-fallback.patch:
210 old
211
212*polkit-0.110 (11 Jan 2013)
213
214 11 Jan 2013; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.110.ebuild:
215 Version bump.
216
217 06 Jan 2013; Raúl Porcel <armin76@gentoo.org> polkit-0.107-r1.ebuild,
218 polkit-0.109-r1.ebuild:
219 Add ~sh wrt #436668
220
221 01 Jan 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.109-r1.ebuild:
222 Add ~ia64, wrt bug #436668
223
224 30 Dec 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.107-r1.ebuild:
225 Stable for sparc, wrt bug #436666
226
227 29 Dec 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.107-r1.ebuild:
228 Stable for alpha, wrt bug #436666
229
230 21 Dec 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.108.ebuild,
231 -polkit-0.109.ebuild:
232 old
233
234*polkit-0.109-r1 (21 Dec 2012)
235
236 21 Dec 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.109-r1.ebuild,
237 +files/polkit-0.109-XAUTHORITY-fallback.patch:
238 Backport XAUTHORITY fallback support from upstream git.
239
240 19 Dec 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.108.ebuild:
241 Add ~ia64, wrt bug #436668
242
243*polkit-0.109 (19 Dec 2012)
244
245 19 Dec 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.109.ebuild:
246 Version bump. Fix PaX marking logic wrt #444446 by Maxim Kammerer
247
248 18 Dec 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.107-r1.ebuild:
249 Stable for ia64, wrt bug #436666
250
251 22 Nov 2012; Anthony G. Basile <blueness@gentoo.org> polkit-0.107-r1.ebuild:
252 stable arm, bug #436666
253
254 22 Nov 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.107.ebuild:
255 old
256
257 22 Nov 2012; Anthony G. Basile <blueness@gentoo.org> polkit-0.107-r1.ebuild:
258 stable ppc64, bug #436666
259
260 22 Nov 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.107-r1.ebuild:
261 Stable for x86, tested by Vincent Olivert Riera <peratu@carrosses.com>, wrt
262 bug #436666
263
264 21 Nov 2012; Anthony G. Basile <blueness@gentoo.org> polkit-0.107-r1.ebuild:
265 stable ppc, bug #436666, thanks peratu
266
267 19 Nov 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.108.ebuild:
268 Link against -lgmodule-2.0 to prevent underlinking (backported from upstream,
269 but using sed to avoid eautoreconf) wrt #443798
270
271*polkit-0.108 (18 Nov 2012)
272
273 18 Nov 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.108.ebuild:
274 Version bump.
275
276 28 Oct 2012; Naohiro Aota <naota@gentoo.org> polkit-0.104-r1.ebuild,
277 polkit-0.107-r1.ebuild, polkit-0.107.ebuild:
278 Drop ~x86-fbsd due to bug #439968.
279
280 15 Oct 2012; Jeroen Roovers <jer@gentoo.org> polkit-0.104-r1.ebuild,
281 polkit-0.107-r1.ebuild:
282 Drop HPPA keywording (bug #438368).
283
284 15 Oct 2012; Zac Medico <zmedico@gentoo.org> polkit-0.107-r1.ebuild:
285 Set QA_MULTILIB_PATHS for bug #424423.
286
287 09 Oct 2012; Jeroen Roovers <jer@gentoo.org> polkit-0.107-r1.ebuild:
288 Marked ~hppa (bug #436668).
289
290 08 Oct 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.107-r1.ebuild:
291 Use pax-mark in src_compile() instead of src_install() for src_test() wrt
292 #423927 by "kensington" and "Nikoli". Punt bogus RESTRICT for multilib-strict
293 and emphatize it's an Portage issue instead of polkit issue in src_install()
294 message.
295
296 07 Oct 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.107-r1.ebuild:
297 Stable for amd64, wrt bug #436666
298
299*polkit-0.107-r1 (20 Sep 2012)
300
301 20 Sep 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.107-r1.ebuild,
302 +files/polkit-0.107-fallback.patch:
303 Introduce upstream patch for falling back to uid 0 for authentication if list
304 of admin identities is empty.
305
306 13 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.105.ebuild,
307 -polkit-0.106-r7.ebuild:
308 old
309
310*polkit-0.107 (13 Jul 2012)
311
312 13 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.107.ebuild:
313 Version bump.
314
315 07 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.106-r5.ebuild,
316 -polkit-0.106-r6.ebuild:
317 old
318
319 07 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.106-r7.ebuild:
320 Remove USE="debug" because --enable/--disable-verbose-mode is no-op wrt
321 #391865 by Maksim Melnikau
322
323*polkit-0.106-r7 (02 Jul 2012)
324
325 02 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r7.ebuild:
326 RESTRICT="multilib-strict" since it's not compatible with the whole
327 /usr/libexec -> /usr/lib/$package migration wrt #424423. This will move
328 polkit-agent-helper-1 and polkitd back to /usr/lib/polkit-1.
329
330*polkit-0.106-r6 (01 Jul 2012)
331
332 01 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r6.ebuild:
333 Fix hardcoded path to "lib" in polkitagentsession.c for systems without the
334 /usr/lib to /usr/lib64 symlink.
335
336 30 Jun 2012; <swift@gentoo.org> polkit-0.104-r1.ebuild, polkit-0.105.ebuild,
337 polkit-0.106-r5.ebuild:
338 Adding dependency on SELinux policykit module if USE=selinux is set
339
340 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.106-r5.ebuild:
341 pax-mark polkitd only when spidermonkey is built with JIT enabled and only
342 'm' instead of 'mr' when version is >= 1.8.7 (by using has_version check)
343
344 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.106-r2.ebuild,
345 -polkit-0.106-r3.ebuild, -polkit-0.106-r4.ebuild:
346 old
347
348*polkit-0.106-r5 (27 Jun 2012)
349
350 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r5.ebuild:
351 Revert entire unix-group:wheel experiment back to unix-user:0 because
352 PolicyKit agent(s) don't behave correctly with it wrt #423733 by Travis
353 Hansen. Revert system-local-login to system-auth for PAM errors wrt #423487
354 by Doug Goldstein.
4 355
5*polkit-0.106-r4 (27 Jun 2012) 356*polkit-0.106-r4 (27 Jun 2012)
6 357
7 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r4.ebuild: 358 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r4.ebuild:
8 Stop installing polkit-backend-1.pc because upstream changed 359 Stop installing polkit-backend-1.pc because upstream changed
333 29 Oct 2009; Gilles Dartiguelongue <eva@gentoo.org> 684 29 Oct 2009; Gilles Dartiguelongue <eva@gentoo.org>
334 +files/polkit-0.92-zsh-completions.patch, 685 +files/polkit-0.92-zsh-completions.patch,
335 +files/polkit-0.93-fix-daemon-name.patch, +polkit-0.94.ebuild, 686 +files/polkit-0.93-fix-daemon-name.patch, +polkit-0.94.ebuild,
336 +metadata.xml: 687 +metadata.xml:
337 Initial ebuild for GNOME 2.28. 688 Initial ebuild for GNOME 2.28.
338

Legend:
Removed from v.1.89  
changed lines
  Added in v.1.186

  ViewVC Help
Powered by ViewVC 1.1.20